%h3.page-title
  = t("projects_section.hooks.web")

%p.light
  #{link_to t("projects_section.hooks.web"), help_page_path("web_hooks", "web_hooks"), class: "vlink"}            
  = t("projects_section.hooks.can_be_used_for")

%hr.clearfix

= form_for [@project, @hook], as: :hook, url: project_hooks_path(@project), html: { class: 'form-horizontal' } do |f|
  -if @hook.errors.any?
    .alert.alert-danger
      - @hook.errors.full_messages.each do |msg|
        %p= msg
  .form-group
    = f.label :url, t("projects_section.hooks.url"), class: 'control-label'
    .col-sm-10
      = f.text_field :url, class: "form-control", placeholder: 'http://example.com/trigger-ci.json'
  .form-group
    = f.label :url, t("projects_section.hooks.trigger"), class: 'control-label'
    .col-sm-10
      %div
        = f.check_box :push_events, class: 'pull-left'
        .prepend-left-20
          = f.label t("projects_section.hooks.push_events"), class: 'list-label' do
            %strong 
              = t("projects_section.hooks.push_events")
          %p.light
            = t("projects_section.hooks.url_will_will_triggered_by_push")
      %div
        = f.check_box :tag_push_events, class: 'pull-left'
        .prepend-left-20
          = f.label t("projects_section.hooks.tag_push_events"), class: 'list-label' do
            %strong 
              = t("projects_section.hooks.tag_push_events")
          %p.light
            = t("projects_section.hooks.url_will_be_triggered_when_push")
      %div
        = f.check_box :issues_events, class: 'pull-left'
        .prepend-left-20
          = f.label t("projects_section.hooks.issues_events"), class: 'list-label' do
            %strong
              = t("projects_section.hooks.issues_events")
          %p.light
            = t("projects_section.hooks.url_will_be_triggered_when_issue_created")
      %div
        = f.check_box :merge_requests_events, class: 'pull-left'
        .prepend-left-20
          = f.label t("projects_section.hooks.merge_requests_events"), class: 'list-label' do
            %strong
              = t("projects_section.hooks.merge_requests_events") 
          %p.light
            = t("projects_section.hooks.url_triggered_when_merge_req_created")
  .form-actions
    = f.submit t("projects_section.hooks.add_web_hook"), class: "btn btn-create"

-if @hooks.any?
  .panel.panel-default
    .panel-heading
      = t("projects_section.hooks.web")
      (#{@hooks.count})
    %ul.well-list
      - @hooks.each do |hook|
        %li
          .pull-right
            = link_to t("projects_section.hooks.test"), test_project_hook_path(@project, hook), class: "btn btn-small btn-grouped"
            = link_to t("projects_section.hooks.remove"), project_hook_path(@project, hook), data: { confirm: t("projects_section.hooks.are_you_sure")}, method: :delete, class: "btn btn-remove btn-small btn-grouped"
          .clearfix
            %span.monospace= hook.url
          %p
            - %w(push_events tag_push_events issues_events merge_requests_events).each do |trigger|
              - if hook.send(trigger)
                %span.label.label-gray= t("projects_section.hooks." + trigger)
